package org.eclipse.equinox.launcher;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.PrintStream;
import org.eclipse.equinox.launcher.MultiInputStream;

final class IORedirecter {
  private static final String SERVER_LOG_FILE = "work/server.log";
  
  static PrintStream redirectOut;
  
  static MultiInputStream redirectIn;
  
  static final void redirectIO(String serverRootPath) {
    try {
      File sLogFile = new File(serverRootPath, "work/server.log");
      redirectIn = new MultiInputStream(System.in);
      redirectOut = new PrintStream(new FileOutputStream(sLogFile), true);
      System.setIn((InputStream)redirectIn);
      System.setOut(redirectOut);
      System.setErr(redirectOut);
    } catch (FileNotFoundException e) {
      e.printStackTrace();
    } 
  }
}
